using Femto.Common.Domain;

namespace Femto.Modules.Blog.Domain.Authors;

public class Author : Entity
{
    public Guid Id { get; private set; }
    public string Username { get; private set; } = null!;

    private Author() { }

    public Author(Guid userId, string username)
    {
        this.Id = userId;
        this.Username = username;
    }
}
